import { LabelCategory } from "./entities/labelCategory";
import { LabelRepository } from "./labelRepository";

export class LabelService {
  constructor(private labelRepository: LabelRepository) {}

  async createNewLabelCategory(labelCategory: LabelCategory) {
    const { code } = await this.labelRepository.createNewLabelCategory(
      labelCategory
    );
    return { code };
  }
}
